@rem This script is equivalent to the configureKaajee.sh script.
@rem If this script is modified make sure to the other script to reflect
@rem those changes.
@rem --------------------- KAAJEE Edits Start --------------
@REM Custom SSPI classpath:

set USERSTAGING=%DOMAIN_HOME%\user_staged_config
echo "."
echo "User Staging Area: %USERSTAGING%"
echo "."

set ApacheCoonPool=%USERSTAGING%\Distributions\kaajee_security_provider_1.1.0.002\common_pool_jars
set commonpool=%ApacheCoonPool%\commons-pool-1.2.jar
set commondbcp=%ApacheCoonPool%\commons-dbcp-1.2.1.jar
set commoncollection=%ApacheCoonPool%\commons-collections-3.1.jar
set propertiesdir=%USERSTAGING%\Distributions\kaajee_security_provider_1.1.0.002\props
set sspidir=%USERSTAGING%\Distributions\kaajee_security_provider_1.1.0.002\
set sspijar=%USERSTAGING%\Distributions\kaajee_security_provider_1.1.0.002\wlKaajeeSecurityProviders-1.1.0.002.jar

@rem setup the VLJ-specific Java command-line options for running the server
set JAVA_OPTIONS=%JAVA_OPTIONS% -Dgov.va.med.environment.servertype=weblogic
set JAVA_OPTIONS=%JAVA_OPTIONS% -Dgov.va.med.environment.production=false
set JAVA_OPTIONS=%JAVA_OPTIONS% -Dweblogic.alternateTypesDirectory=%sspidir%

@rem --------------------- KAAJEE Edits End ----------------

@rem ------------ VistaLink Edits --------------
@REM Vistalink Classpath...

set VLJCLASSPATH=%USERSTAGING%\Distributions\vistaLink16

echo "Vistalink Staging Area: %VLJCLASSPATH%"

set CLASSPATH=%CLASSPATH%;%USERSTAGING%\Distributions
set CLASSPATH=%CLASSPATH%;%VLJCLASSPATH%
@REM set CLASSPATH=%CLASSPATH%;%CLASSPATHSEP%
@REM set CLASSPATH=%CLASSPATH%;%MEDREC_WEBLOGIC_CLASSPATH%
set CLASSPATH=%CLASSPATH%;%propertiesdir%
set CLASSPATH=%CLASSPATH%;%sspidir%
set CLASSPATH=%CLASSPATH%;%sspijar%
set CLASSPATH=%CLASSPATH%;%commonpool%
set CLASSPATH=%CLASSPATH%;%commondbcp%
set CLASSPATH=%CLASSPATH%;%commoncollection%
set CLASSPATH=%DOMAIN_HOME%\localConfig;%CLASSPATH%
@rem ------------ End VistaLink Edits --------------
